%global srcname p1_oauth2

Name:       erlang-%{srcname}
Version:    0.6.11
Release:    %mkrel 1

Group:      Development/Erlang
License:    MIT
Summary:    An Oauth2 implementation for Erlang
URL:        https://github.com/processone/%{srcname}
Source0:    https://github.com/processone/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-meck >= 0.8.3
BuildRequires: erlang-proper
BuildRequires: erlang-rebar

BuildArch:  noarch

%description
This library is designed to simplify the implementation of the server side of
OAuth2. It is a fork of erlang-oauth2 by processone, and is needed by ejabberd.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}



%changelog
* Tue Aug 02 2022 neoclust <neoclust> 0.6.11-1.mga9
+ Revision: 1874669
- New version 0.6.11

* Fri Apr 01 2022 umeabot <umeabot> 0.6.10-2.mga9
+ Revision: 1839022
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 0.6.10-1.mga9
+ Revision: 1772711
- New version 0.6.10

* Sun Dec 20 2020 neoclust <neoclust> 0.6.8-1.mga8
+ Revision: 1662095
- New version 0.6.8

* Sun Dec 20 2020 neoclust <neoclust> 0.6.7-1.mga8
+ Revision: 1661737
- New version 0.6.7
- Make the package noarch

* Wed Feb 12 2020 umeabot <umeabot> 0.6.3-4.mga8
+ Revision: 1511556
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 wally <wally> 0.6.3-3.mga7
+ Revision: 1297219
- rebuild for aarch64

* Fri Sep 21 2018 wally <wally> 0.6.3-2.mga7
+ Revision: 1295086
- revert noarch change

* Thu Sep 20 2018 wally <wally> 0.6.3-1.mga7
+ Revision: 1288421
- new version 0.6.3 (sync with Fedora)
- noarch build

* Thu Nov 17 2016 neoclust <neoclust> 0.6.1-1.mga6
+ Revision: 1068049
- imported package erlang-p1_oauth2

